com.smartgwt.client.types

## Enum DialogButtons

- java.lang.Object
- - java.lang.Enum<DialogButtons>
  - - com.smartgwt.client.types.DialogButtons

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DialogButtons>

      public enum DialogButtons
      extends java.lang.Enum<DialogButtons>
      implements ValueEnum

  Default buttons that you can use in your Dialogs.

  Each `DialogButtons` enum value has a same-named static Button on the Dialog class, and these buttons can be passed to `Dialog.setButtons()`:

          Dialog.setButtons(Dialog.OK, Dialog.CANCEL);

  All buttons added via `setButtons` will fire the `buttonClick event` (whether they are built-in or custom buttons). Built-in buttons automatically close a Dialog, with the exception of the "Apply" button.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLY` Does not dismiss dialog.
    `CANCEL` Dismisses dialog.
    `DONE` Dismisses dialog.
    `NO` Dismisses dialog.
    `OK` Dismisses dialog.
    `YES` Dismisses dialog.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DialogButtons` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DialogButtons[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final DialogButtons OK

      Dismisses dialog. Title derived from `OK_BUTTON_TITLE`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "ok".

    - #### APPLY

          public static final DialogButtons APPLY

      Does not dismiss dialog. Handle via `Dialog.buttonClick()` Title derived from `APPLY_BUTTON_TITLE`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "apply".

    - #### YES

          public static final DialogButtons YES

      Dismisses dialog. Title derived from `YES_BUTTON_TITLE`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "yes".

    - #### NO

          public static final DialogButtons NO

      Dismisses dialog. Title derived from `NO_BUTTON_TITLE`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "no".

    - #### CANCEL

          public static final DialogButtons CANCEL

      Dismisses dialog. Title derived from `CANCEL_BUTTON_TITLE`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "cancel".

    - #### DONE

          public static final DialogButtons DONE

      Dismisses dialog. Title derived from `DONE_BUTTON_TITLE`.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "done".

  - ### Method Detail

    - #### values

          public static DialogButtons[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DialogButtons c : DialogButtons.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DialogButtons valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`